Name:           supertuxkart
Version:        0.2
Release:        3%{?dist}
Summary:        Kids 3D go-kart racing game featuring Tux
Group:          Amusements/Games
License:        GPL
URL:            http://supertuxkart.berlios.de/
# This is not the official upstream tarbal which can be found here:
# http://download.berlios.de/supertuxkart/SuperTuxKart-0.2.tar.bz2
# This version has some copyrighted / trademarked images and sounds removed,
# these are replaced with new ones from supertuxkart-alt-images.tar.gz
# see supertuxkart-images-legal.txt for the copyright/trademark info on the
# new ones. The following images and sounds where replaced:
# adverts.rgb, lunchbox.rgb, lunchbox2.rgb, mnm.rgb (with bananawrap.rgb),
# brick.rgb, explode.rgb, mathclasswest.rgb (pokemon poster removed),
# explode2.rgb (unused, removed), select_option.wav (unused, removed).
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-alt-images.tar.gz
Source2:        %{name}.desktop
Source3:        %{name}.png
Source4:        %{name}.6
Source5:        %{name}-images-legal.txt
Patch0:         supertuxkart-fhs.patch
Patch1:         supertuxkart-fullscreen.patch
Patch2:         supertuxkart-nomnm.patch
Patch3:         supertuxkart-0.2-joy1.patch
Patch4:         supertuxkart-0.2-joy2.patch
Patch5:         supertuxkart-0.2-joy3.patch
Patch6:         supertuxkart-0.2-gpmenu.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  plib-devel libXt-devel desktop-file-utils
# Provide so that yum install tuxkart will work, obsolete for auto upgrade
Provides:       tuxkart = 0.4.0-6
Obsoletes:      tuxkart < 0.4.0-6

%description
3D go-kart racing game for kids with several famous OpenSource mascots
participating. Race as Tux against 3 computer players in many different fun
race courses (Standard race track, Dessert, Mathclass, etc). Full information
on how to add your own race courses is included. During the race you can pick
up powerups such as: (homing) missiles, magnets and portable zippers.


%prep
%setup -q
%patch0 -p1 -z .fhs
%patch1 -p1 -z .fs
%patch2 -p1 -z .nomnm
mv models/mnm.ac models/bananawrap.ac
%patch3 -p1 -z .joy1
%patch4 -p1 -z .joy2
%patch5 -p1 -z .joy3
%patch6 -p1 -z .gpmenu
tar xf %{SOURCE1}
cp %{SOURCE5} .
chmod -x AUTHORS CHANGES COPYING README TODO
# stop automake from rerunning because of our patches above
touch src/Makefile.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# easier then patching all the Makefile's
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name} $RPM_BUILD_ROOT%{_datadir}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

# add the manpage (courtesy of Debian)
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING README TODO %{name}-images-legal.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Oct  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-3
- replace some more coprighted images and sounds
- fix a bunch of joystick related bugs

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-2
- rename images-legal.txt to supertuxkart-images-legal.txt
- add a changelog entry for the previous release (and this one)

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-1
- initial Fedora Extras package (replacing regular tuxkart)
